"""Subclass of NewConnection, which is generated by wxFormBuilder."""

import wx
import simple_ssh.gui as gui

# Implementing NewConnection
class SimpleSSHNewConnection( gui.NewConnection ):
    def __init__( self, parent, main ):
        gui.NewConnection.__init__( self, parent )
        self.main = main

    # Handlers for NewConnection events.
    def add_connection( self, event ):
        connection_name = self.txt_connection_name.GetValue()
        assert(len(connection_name) > 0)
        page_cnt = self.main.add_settings_panel(connection_name)
        self.main.frm.m_notebook.SetSelection(page_cnt)
        self.Close()